Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main
+Level                         : 6.2
 
 #======== Unit definition ================
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main10.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main10.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_intra_main10.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main10
+Level                         : 6.2
 
 #======== Unit definition ================
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -104,5 +108,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_P_main10.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main10
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -104,5 +108,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -104,5 +108,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main10.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main10.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_lowdelay_main10.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main10
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -104,5 +108,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -108,5 +112,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
Index: branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main10.cfg
===================================================================
--- branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main10.cfg	(revision 453)
+++ branches/HTM-DEV-0.3-dev2/cfg/HEVC/HM/encoder_randomaccess_main10.cfg	(revision 537)
@@ -2,4 +2,8 @@
 BitstreamFile                 : str.bin
 ReconFile                     : rec.yuv
+
+#======== Profile/Level ================
+Profile                       : main10
+Level                         : 6.2
 
 #======== Unit definition ================
@@ -108,5 +112,5 @@
 RateControl                         : 0                # Rate control: enable rate control
 TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
-KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
 LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
 RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
